FEM ConstraintSelfWeight/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 24: Line 24:
}}
}}


* example:
* examplu:
{{Code|code=
{{Code|code=
import ObjectsFem
import ObjectsFem

Revision as of 13:09, 10 September 2018

FEM ConstraintSelfWeight

Menu location
Model → Mechanical Constraints → Constraint self weight
Workbenches
FEM
Default shortcut
C,W
Introduced in version
-
See also
FEM tutorial

Descriere

Constrângerea greutății proprii definește accelerația gravitațională de 9,81 m / s ^ 2 care acționează asupra întregului model în direcția prescrisă.

Cum se folosește

  1. Click pe sau alegeți ModelMechanical Constraints Constraint self weight din meniul de sus sau apăsați tastele C apoi W.
  2. Puteți modifica direcția gravitației schimbând coordonatele sale vectoriale în bara de proprietăți a obiectului nou creat ConstraintSelfWeight.

Script

  • obiect nou
import ObjectsFem
ObjectsFem.makeConstraintSelfWeight( name )
  • adăugați obiectul la analiza numită Analysis
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [ (object) ]
  • examplu:
import ObjectsFem
selfweight_obj = ObjectsFem.makeConstraintSelfWeight( 'MySelfWeightObject' )
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [selfweight_obj]

Solver CalculiX

Limitations

  • You need to modify .inp file to edit gravity acceleration.
  • Self weight is applied to the element set Eall means to the whole model.

Editing CalculiX input file

Acceleration constant can be edited by hand modification after generating CalculiX input file.

Example of lines in .inp file:

*DLOAD
Eall,GRAV,9810,0.0,0.0,-1.0

where 9810 is gravity acceleration in [mm/s^2]

Solver Z88

  • not implemented in Z88 solver (March 2017)